({
    name: "Flareonite",
    spritenum: 666,
    megaStone: {
        "Flareon": "Flareon-Mega"
    },
    itemUser: ["Flareon"],
    onTakeItem(item, source) {
        return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -999,
    gen: 6,
    isNonstandard: "Past",
})